<?php
require_once './Control/ControlOpIdioma.php';
require_once './Util/Utilidades.php';
$controlOpIdioma = new ControlOpIdioma();
$idioma = $controlOpIdioma->pegarTodosIdiomas();
$ar = Utilidades::OrdenarArray($idioma->allToArray(), 'id');
$arquivoForm = 'adm_traducaoForm.php';
?>
<button value="cmdNovo" onclick="javascript:mostrarArquivoDados('<?php echo $arquivoForm ?>','#dados','acao=inserir&lang=ptbr');">Novo registro</button>
<table class="datatable">
    <thead>
        <tr>
            <?php
            $ColNomes = '<th>id</th><th width="100px">Sigla</th><th>Texto</th><th></th>';
            echo $ColNomes;
            ?>
        </tr>
    </thead>
    <tbody>
        <?php
        foreach ($ar as $key => $row) {
            $pk = $row['idiomaid'];
            $nome = $row['id'] . ' - ' . $row['lang'] . ' - ' . Utilidades::abreviaString(htmlspecialchars(stripslashes($row['texto'])),100);
            echo '<tr class="gradeA" id="idiomaID_' . $pk .'">';
            echo '<td>' . $row['id'] . '</td>';
            echo '<td>' . $row['lang'] . '</td>';
            echo '<td>' . Utilidades::abreviaString(htmlspecialchars(stripslashes($row['texto'])),300) . '</td>';
            echo '<td><a href="javascript:mostrarArquivoDados(\'' . $arquivoForm .'\',\'#dados\',\'acao=alterar&pk=' . $pk . '&lang=ptbr\');">Editar</a> / <a href="javascript:excluirRegistro(\'' . $pk . '\',\'' . $nome .'\');" class="editor_remove">Excluir</a></td>';
            echo '</tr>';
        }
        ?>
    </tbody>
    <tfoot><?php echo $ColNomes?></tfoot>
</table>
<script>
    iniciarDataTable('.datatable');
</script>
<?php
        FormAjax::ExcluirRegistro('adm_traducaoCMD.php');
?>